<?php

/*==============================================================================================

	--------------------------------------------------------------------------------------------
	SPIP Immo 3.2 is a SPIP's plugin for real estate agencies & agents
	Copyright (C) 2007-2012 SARL Comme a la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	--------------------------------------------------------------------------------------------
	SPIP Immo 3.2 est un plugin de SPIP  destination des agences immobilires
	Copyright (C) 2007-2012 SARL Comme  la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le
	modifier au titre des clauses de la Licence Publique Gnrale GNU, telle
	que publie par la Free Software Foundation ; soit la version 2 de la
	Licence, ou ( votre discrtion) une version ultrieure quelconque.

	Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE
	GARANTIE ; sans mme une garantie implicite de COMMERCIABILITE ou DE
	CONFORMITE A UNE UTILISATION PARTICULIERE. Voir la Licence Publique
	Gnrale GNU pour plus de dtails.

	Vous devriez avoir reu un exemplaire de la Licence Publique Gnrale
	GNU avec ce programme ; si ce n'est pas le cas, crivez  la Free
	Software Foundation Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

==============================================================================================*/

	/*===========================================================================================================================================================
	Fonction pour ajouter le bouton dans le menu
	===========================================================================================================================================================*/
	function spipimmo_ajouterBoutons($boutons_admin)
	{
		$boutons_admin['naviguer']->sousmenu['spipimmo']= new Bouton(_DIR_PLUGIN_SPIPIMMO_IMG_PACK.'Menu.gif', 'SPIP-Immo');
		return $boutons_admin;
	}


	/*===========================================================================================================================================================
	Le Head
	===========================================================================================================================================================*/
	function spipimmo_header_prive($flux)
	{
		$flux .= '<link rel="stylesheet" href="' ._DIR_PLUGIN_SPIPIMMO_IMG_PACK . 'spipimmo.css" type="text/css" />' . "\n";
		$flux .= '<script src="' ._DIR_PLUGIN_SPIPIMMO_IMG_PACK . 'spipimmo.js" type="text/javascript"></script>' . "\n";
		return $flux;
	}


	/*===========================================================================================================================================================
	Affichage numro de dossier
	===========================================================================================================================================================*/
	function afficher_ndossier($nDossier)
	{
		if(strlen($nDossier)<_SPIPIMMO_DOSSIER_NBCAR)
		{
			for($j=0; $j<(_SPIPIMMO_DOSSIER_NBCAR-strlen($nDossier)); $j++)
			{
				$nZero.="0";
			}
		}
		return($nZero . $nDossier);
	}


	/*===========================================================================================================================================================
	Fonction pour les listes droulantes (nombre de piece, chambres,...)
	===========================================================================================================================================================*/
	function liste_deroulante_piece($nbPieceActuel, $nbPieceTotal)
	{

		$out.='<option value=""></option>';
		for($i=0; $i<=$nbPieceTotal; $i++)
		{
			if(empty($nbPieceActuel)==false and $nbPieceActuel==$i)
			{
				$out.='<option selected="selected" value="' . $i . '">' . $i . '</option>';
			}
			else
			{
				$out.='<option value="' . $i . '">' . $i . '</option>';
			}
		}
		return($out);
	}


	/*===========================================================================================================================================================
	Fonction pour redimensionner les images
	============================================================================================================================================================*/
	function redimage($img_src, $img_dest, $dst_w, $dst_h, $alt=null, $js=0)
	{
		//Dclaration des variables
		global $img;

		//Rcupration de l'extension
		$ext=substr($img_src, -3);
		$ext=strtolower($ext);

		$out=$ext;

		if (file_exists($img_src) and (($ext=="peg") || ($ext=="jpg") || ($ext=="gif") || ($ext=="png")))
		{
			// Lit les dimensions de l'image
			$size = GetImageSize($img_src);
			$src_w = $size[0];
			$src_h = $size[1];

			// Teste les dimensions tenant dans la zone
			$test_h = round(($dst_w / $src_w) * $src_h);
			$test_w = round(($dst_h / $src_h) * $src_w);

			// Si Height final non prcis (0)
			if(!$dst_h)
			{
				$dst_h = $test_h;
			}

			// Sinon si Width final non prcis (0)
			else if(!$dst_w)
			{
				$dst_w = $test_w;
			}

			// Sinon teste quel redimensionnement tient dans la zone
			else if($test_h>$dst_h)
			{
				$dst_w = $test_w;
			}
			else
			{
				$dst_h = $test_h;
			}

			//On teste si l'image destinataire xiste dj
			if(!file_exists($img_dest))
			{
				// Cre une image vierge aux bonnes dimensions
				$dst_im = ImageCreateTrueColor($dst_w,$dst_h);

				// Copie dedans l'image initiale redimensionne
				switch($ext)
				{
					case "jpg" :
					case "peg" :
						$src_im = ImageCreateFromJpeg($img_src);
						ImageCopyResampled($dst_im,$src_im,0,0,0,0,$dst_w,$dst_h,$src_w,$src_h);
						ImageJpeg($dst_im,$img_dest);
						break;

					case "png" :
						$src_im = ImageCreateFromPng($img_src);
						ImageCopyResampled($dst_im,$src_im,0,0,0,0,$dst_w,$dst_h,$src_w,$src_h);
						ImagePng($dst_im,$img_dest);
						break;

					case "gif" :
						$src_im = ImageCreateFromGif($img_src);
						ImageCopyResampled($dst_im,$src_im,0,0,0,0,$dst_w,$dst_h,$src_w,$src_h);
						ImageGif($dst_im,$img_dest);
						break;

					default :
						$img_dest="../prive/images/logo_spip.jpg";

				}

				//Destruction des tampons
				ImageDestroy($src_im);
			}

		}
		else
		{
			$img_dest = "../prive/images/logo_spip.jpg";
			$widthFinale=$dst_w;
			$heigthFinale=$dst_h;
		}

		//javascript pour ouvrir l'image dans une nouvelle fentre
		$jsScript='onclick="window.open(\'' . $img_src . '\', \'image\');" style="cursor:pointer;"';

		//on met le javascript , oui ou non?
		if($js==1)
		{
			$out='<img src="' . $img_dest . '" ' . $widthFinale . $heigthFinale . ' alt="' . $alt . '" ' . $jsScript . ' />';
		}
		else
		{
			$out='<img src="' . $img_dest . '" ' . $widthFinale . $heigthFinale . ' alt="' . $alt . '" />';
		}
		return $out;
	}


	/*===========================================================================================================================================================
	Fonction pour l'url rewriting des annonces
	============================================================================================================================================================*/
	function lien_annonce_propre($texte)
	{
		$texte=substr($texte, 9);
		$tabLien=split("&", $texte);
		$id_annonce=substr($tabLien[1], 11);
		$type=substr($tabLien[2], 5);
		$ville=substr($tabLien[3], 6);
		return $id_annonce . "-" . $type . "-" . $ville;
	}

?>